/**
 * OW2 Util
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: DefaultEjbJarDeployableMetadataConfigurator.java 4389 2008-12-15 13:48:57Z alitokmen $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.ejbjar.impl.internal;

import org.ow2.util.ee.deploy.api.deployable.EJBDeployable;
import org.ow2.util.ee.metadata.ejbjar.impl.configurator.EjbJarDeployableMetadataConfigurator;
import org.ow2.util.scan.api.configurator.IClassConfigurator;
import org.ow2.util.scan.api.metadata.structures.JClass;

/**
 * Default configurator.
 * @param <E> an implementation of EJBDeployable
 * @author Florent Benoit
 */
public class DefaultEjbJarDeployableMetadataConfigurator<E extends EJBDeployable<E>>
        extends
        EjbJarDeployableMetadataConfigurator<E, DefaultEjbJarDeployableMetadata<E>, DefaultEjbJarClassMetadata<E>, DefaultEjbJarMethodMetadata<E>, DefaultEjbJarFieldMetadata<E>> {

    public DefaultEjbJarDeployableMetadataConfigurator(final DefaultEjbJarDeployableMetadata<E> ejbJarArchiveMetadata) {
        super(ejbJarArchiveMetadata);
    }

    @Override
    protected DefaultEjbJarClassMetadata<E> createClassMetadata(final JClass jClass,
            final DefaultEjbJarDeployableMetadata<E> ejbJarArchiveMetadata) {
        DefaultEjbJarClassMetadata<E> classMetadata = new DefaultEjbJarClassMetadata<E>();
        classMetadata.setJClass(jClass);
        classMetadata.setEjbJarArchiveMetadata(ejbJarArchiveMetadata);
        return classMetadata;
    }

    @Override
    protected IClassConfigurator createClassMetadataConfigurator(final DefaultEjbJarClassMetadata<E> classMetadata,
            final DefaultEjbJarDeployableMetadata<E> ejbJarArchiveMetadata, final boolean annotationParsingDesactived) {
        return new DefaultEjbJarClassMetadataConfigurator<E>(classMetadata, ejbJarArchiveMetadata, annotationParsingDesactived);
    }


}
