/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: Interceptors.java 4389 2008-12-15 13:48:57Z alitokmen $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.ejbjar.impl.xml.struct;

import java.util.ArrayList;
import java.util.List;

import org.ow2.util.ee.metadata.ejbjar.api.xml.struct.IInterceptor;
import org.ow2.util.ee.metadata.ejbjar.api.xml.struct.IInterceptors;


/**
 * This class defines the implementation of the element interceptors.
 * @author Florent Benoit
 */
public class Interceptors implements IInterceptors {

    /**
     * Serial version UID.
     */
    private static final long serialVersionUID = -2356057010509614266L;

    /**
     * List of &lt;interceptor&gt; elements.
     */
    private List<IInterceptor> interceptorList = null;

    /**
     * Constructor.
     */
    public Interceptors() {
        interceptorList = new ArrayList<IInterceptor>();
    }

    /**
     * Gets the list of &lt;interceptor&gt; elements.
     * @return list of &lt;interceptor&gt; elements.
     */
    public List<IInterceptor> getInterceptorList() {
        return interceptorList;
    }

    /**
     * Adds a new &lt;interceptor&gt; element to assembly descriptor.
     * @param interceptor the &lt;interceptor&gt; element
     */
    public void addInterceptor(final IInterceptor interceptor) {
        interceptorList.add(interceptor);
    }

}
